# Class ConventionProperty

java.lang.Object
org.gradle.api.dsl.ConventionProperty

@Deprecated public class ConventionProperty extends Object
Deprecated.
This class will be removed in Gradle 5.0.
This class was previously used for documentation.

## Constructor Summary

Constructors
Constructor
Description
`ConventionProperty()`
Deprecated.

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConventionProperty

public ConventionProperty()
Deprecated.